aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2009-01-08 13:21:30 +0100
committerGuido Guenther <agx@sigxcpu.org>2009-01-08 15:41:08 +0100
commit2c0fde1c5a7c373934341775490beaaa8c516d33 (patch)
treea2596b5871700687c29c017e2ebd9279e10ad193
parent7bb8b22d8da0f6a398e2102a20d885d885339496 (diff)
add build.Linux
for gssapi build on Linux as described in http://www.realtech.com/wDeutsch/pdf/consulting/Whitepaper/SAP_Singe_Sign-On_und_Secure_Connections_via_SNC_Adapter_basierend_auf_KerberosV5_de.pdf
-rwxr-xr-xbuild.Linux32
1 files changed, 32 insertions, 0 deletions
diff --git a/build.Linux b/build.Linux
new file mode 100755
index 0000000..6b6066a
--- /dev/null
+++ b/build.Linux
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# $Id: build.SunOS,v 1.2 1999/08/24 14:39:31 d019080 Exp $
+#
+OBJ=".o"
+CC="gcc"
+CFLAGS="-g -DXDEBUG=1"
+RM="rm -f"
+EXE=""
+LD="$CC"
+LDFLAGS="$CFLAGS -ldl -lnsl -lpthread"
+LDTARGET='-o $@'
+XD=""
+LDLIBS="-ldl"
+SHEXT=".so"
+SHFLAGS="-fPIC"
+LINK_SHARED='$(CC) -shared -Wl,-export-dynamic -Wl,-soname,$@'
+LINK_SHARED_END=""
+
+#VENLIB="-L/your/software/path -R/your/software/path -lgssapi"
+VENLIB="-lgssapi_krb5"
+if [ "$VENLIB" = "" ] ; then
+ echo "***"
+ echo "*** Please edit $0 and define VENLIB to link your"
+ echo "*** GSS-API v2 shared library"
+ echo "***"
+ exit 1
+fi
+
+export OBJ CC CFLAGS RM EXE LDLIBS LD LDTARGET LDFLAGS XD
+export SHEXT SHFLAGS LINK_SHARED LINK_SHARED_END VENLIB
+"$@"